#! /bin/sh

# $Id: mksmileprimer.sh,v 1.1.2.1 2000/08/15 13:25:03 belinfan Exp $

program=`basename $0`
USAGE="usage: $program crfile"

libexecdir=@libexecdir@
smileprog=$libexecdir/utsmile
target=smileprimer

case $# in
	1) crfile=$1;  shift;;
	*) ;;
esac

missing_parameters=0
if [ "X$crfile" = X ]; then
	missing_parameters=1
fi

if [ $missing_parameters = 1 ]; then
	echo $USAGE 1>&2
	exit 2
fi

if [ ! -r $crfile ]; then
	echo "$program: cannot read \"$crfile\"" 1>&2
	exit 2
fi

# Hmm... should we try to convert crile into
# an absolute path name?
case $crfile in
	/*) newcrfile=$crfile ;;
	*)   dir=`echo ./$crfile |sed 's/[^\/]*$//' `
	     base=`echo ./$crfile |sed 's/.*\///' `
	     cur=`pwd`
	     cd $dir
	     prefix=`pwd`
	     cd $cur
	     newcrfile=$prefix/$base
	     ;;
esac

rm -f $target

echo "#! /bin/sh" > $target
echo "exec $smileprog \"\$@\" $newcrfile" >> $target

chmod 755 $target
