#!/bin/sh
LTSA_ROOT=@ltsadir@
LTSAJARFILE=@LTSAJARFILE@

program=`basename $0`
USAGE="usage: $program [-l | -c composition] file.lts"
flag=
comp=

case $# in
	1) file=$1;  shift;;
	2) flag=$1; file=$2;  shift;shift ;;
	3) flag=$1; comp=$2; file=$3;  shift;shift;shift ;;
	*) ;;
esac

missing_parameters=0
if [ "X$file" = X ]; then
	missing_parameters=1
fi
if [ $missing_parameters = 1 ]; then
	echo $USAGE 1>&2
	exit 2
fi

# for cygwin: use \; as separator in  path instead of :
@JAVA@ -mx64000000 -classpath "$LTSA_ROOT@JAVAPATHSEP@$LTSAJARFILE" TorxBatch $flag $comp "$file"
