#
# aut.pm - mkprimer module for the aut explorer, with the generic primer
# will be ``required'' by the mkprimer program
#
# $Id: tta.pm,v 1.1.2.1 2004/09/06 21:44:25 belinfan Exp $
# <Axel.Belinfante@cs.utwente.nl>, 1999
#
#
# ======================================
package aut;

%suffix = (
			".tta"     =>   "TTA",
	     );

%lang = (
	"TTA" =>
	 sub  {
		my($specfile, $target, $prefix, $libdir,
		   $specpath, $specname, $specsuffix, $exesuffix, $paramsref) = @_;
		my(%params) = %$paramsref;
		my($flag) = "-f $params{config}" if $params{config} ne "";
		my(@cmds) = (
			"echo '#!/bin/sh' > $target",
			"echo exec primer $flag \\\"\\\$@\\\" ttaexp $specfile >> $target",
			"chmod 755 $target",
		          );
		::Exec(@cmds);
	},
);

::Register(\%lang, \%suffix);

1;
